java.io.IOException: The default version of java is either unsupported version or unknown

Jenkins JIRA | castorls | 8 years ago
  1. 0

    Hi everyone, I'm using hudson on a linux machine (tethys) without any problem. I want to distribute a build to another linux machine (calypso) with the same configuration (in fact, copy/paste of the VM in a vmware server). But When I want to start the slave (calypso) with the ssh configuration, I've this log : [08/29/08 15:04:20] [SSH] Opening SSH connection to calypso:22. [08/29/08 15:04:20] [SSH] Authenticating as administrateur/******. [08/29/08 15:04:20] [SSH] Authentication successful. [08/29/08 15:04:20] [SSH] Checking default java version... java.io.IOException: The default version of java is either unsupported version or unknown at hudson.plugins.sshslaves.SSHLauncher.findJava(SSHLauncher.java:275) at hudson.plugins.sshslaves.SSHLauncher.launch(SSHLauncher.java:107) at hudson.slaves.SlaveComputer$1.run(SlaveComputer.java:113) at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907) at java.lang.Thread.run(Thread.java:619) [08/29/08 15:04:20] [SSH] Connection closed. Both machines contains same version of java [ludovic@calypso ~]$ su administrateur Mot de passe : [administrateur@calypso ludovic]$ [administrateur@calypso ludovic]$ [administrateur@calypso ludovic]$ java -version java version "1.6.0_07" Java(TM) SE Runtime Environment (build 1.6.0_07-b06) Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode) [administrateur@calypso ludovic]$ [ludovic@tethys ~]$ su administrateur Mot de passe : ja[administrateur@tethys ludovic]$ java -version java version "1.6.0_07" Java(TM) SE Runtime Environment (build 1.6.0_07-b06) Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode) [administrateur@tethys ludovic]$ Could you explain me what's wrong ?? Ludovic -- Ludovic SMADJA Systar SA - R&D http://www.systar.fr 171, bureaux de la Colline 92213 Saint-Cloud Cedex Tel. +33 (0)1 49 11 45 31 Pourquoi signer un email ?? http://www.cacert.org/help.php?id=2〈=fr_FR#whyEmails Clé PGP : EAB942A4 sur pgp.mit.edu

    Jenkins JIRA | 8 years ago | castorls
    java.io.IOException: The default version of java is either unsupported version or unknown
  2. 0

    Hi everyone, I'm using hudson on a linux machine (tethys) without any problem. I want to distribute a build to another linux machine (calypso) with the same configuration (in fact, copy/paste of the VM in a vmware server). But When I want to start the slave (calypso) with the ssh configuration, I've this log : [08/29/08 15:04:20] [SSH] Opening SSH connection to calypso:22. [08/29/08 15:04:20] [SSH] Authenticating as administrateur/******. [08/29/08 15:04:20] [SSH] Authentication successful. [08/29/08 15:04:20] [SSH] Checking default java version... java.io.IOException: The default version of java is either unsupported version or unknown at hudson.plugins.sshslaves.SSHLauncher.findJava(SSHLauncher.java:275) at hudson.plugins.sshslaves.SSHLauncher.launch(SSHLauncher.java:107) at hudson.slaves.SlaveComputer$1.run(SlaveComputer.java:113) at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:885) at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:907) at java.lang.Thread.run(Thread.java:619) [08/29/08 15:04:20] [SSH] Connection closed. Both machines contains same version of java [ludovic@calypso ~]$ su administrateur Mot de passe : [administrateur@calypso ludovic]$ [administrateur@calypso ludovic]$ [administrateur@calypso ludovic]$ java -version java version "1.6.0_07" Java(TM) SE Runtime Environment (build 1.6.0_07-b06) Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode) [administrateur@calypso ludovic]$ [ludovic@tethys ~]$ su administrateur Mot de passe : ja[administrateur@tethys ludovic]$ java -version java version "1.6.0_07" Java(TM) SE Runtime Environment (build 1.6.0_07-b06) Java HotSpot(TM) 64-Bit Server VM (build 10.0-b23, mixed mode) [administrateur@tethys ludovic]$ Could you explain me what's wrong ?? Ludovic -- Ludovic SMADJA Systar SA - R&D http://www.systar.fr 171, bureaux de la Colline 92213 Saint-Cloud Cedex Tel. +33 (0)1 49 11 45 31 Pourquoi signer un email ?? http://www.cacert.org/help.php?id=2〈=fr_FR#whyEmails Clé PGP : EAB942A4 sur pgp.mit.edu

    Jenkins JIRA | 8 years ago | castorls
    java.io.IOException: The default version of java is either unsupported version or unknown
  3. 0

    Cloudera service monitor unable to start

    Stack Overflow | 9 months ago | stackit
    java.io.IOException: Unknown version of the versioned LevelDB store.
  4. Speed up your debug routine!

    Automated exception search integrated into your IDE

  5. 0

    db:: 3.97::SunPKCS11 provider and Rainbow iKey 2032 USB token - can't load keys as

    hivmr.com | 11 months ago
    java.security.ProviderException: Could not initialize NSS
  6. 0

    Mozilla - Cryptography - SunPKCS11 and NSS 3.11.4

    nabble.com | 1 year ago
    java.io.IOException: The specified version of NSS is > >> incompatible, 3.7 or later required

    Not finding the right solution?
    Take a tour to get the most out of Samebug.

    Tired of useless tips?

    Automated exception search integrated into your IDE

    Root Cause Analysis

    1. java.io.IOException

      The default version of java is either unsupported version or unknown

      at hudson.plugins.sshslaves.SSHLauncher.findJava()
    2. hudson.plugins.sshslaves
      SSHLauncher.launch
      1. hudson.plugins.sshslaves.SSHLauncher.findJava(SSHLauncher.java:275)
      2. hudson.plugins.sshslaves.SSHLauncher.launch(SSHLauncher.java:107)
      2 frames
    3. Hudson
      SlaveComputer$1.run
      1. hudson.slaves.SlaveComputer$1.run(SlaveComputer.java:113)
      1 frame